tokyocabinet-haskell-0.0.5: Haskell binding of Tokyo Cabinet

Safe Haskell | None

Database.TokyoCabinet.Associative

# Documentation

class Associative a where Source

Methods

withMap :: (Storable k, Storable v) => a k v -> (Ptr MAP -> IO b) -> IO bSource

peekMap' :: (Storable k, Storable v) => Ptr MAP -> IO (a k v)Source

Instances

Associative Map |
Associative AssocList |

newtype AssocList k v Source

Constructors

AssocList |

Fields

unAssocList :: [(k, v)]

Instances

Associative AssocList |
(Eq k, Eq v) => Eq (AssocList k v) |
(Ord k, Ord v) => Ord (AssocList k v) |
(Show k, Show v) => Show (AssocList k v) |